> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.ipxo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Hide or unhide child subnets

> Hide or unhide child subnets



## OpenAPI

````yaml openapi/billing.yaml post /v1/{tenantUUID}/market/ipv4/child/toggle
openapi: 3.0.1
info:
  title: Billing API
  description: ''
  version: '1.0'
servers:
  - url: https://apigw.ipxo.com/billing
security:
  - bearerAuth: []
paths:
  /v1/{tenantUUID}/market/ipv4/child/toggle:
    post:
      tags:
        - Market
      summary: Hide or unhide child subnets
      description: Hide or unhide child subnets
      operationId: API-Pub-Market-IPV4-Child-Toggle
      parameters:
        - name: tenantUUID
          in: path
          description: Tenant UUID
          required: true
          schema:
            $ref: '#/components/schemas/UUID'
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/API.Pub.Market.IPV4.ToggleChildIPV4Request'
            example:
              childs:
                - address: string
              market_service_uuid: string
              cidr: 0
              reason: string
      responses:
        '200':
          description: Batch id
          content:
            application/json:
              schema:
                type: object
                properties:
                  batchId:
                    type: string
                    description: The ID of the batch
              example:
                batchId: string
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not Found
        '422':
          description: Unprocessable Entity
components:
  schemas:
    UUID:
      pattern: >-
        ^[a-zA-Z0-9]{8}\-[a-zA-Z0-9]{4}\-[a-zA-Z0-9]{4}\-[a-zA-Z0-9]{4}\-[a-zA-Z0-9]{12}$
      type: string
      description: UUID
    API.Pub.Market.IPV4.ToggleChildIPV4Request:
      required:
        - market_service_uuid
        - childs
        - cidr
      type: object
      properties:
        childs:
          type: array
          items:
            type: object
            properties:
              address:
                type: string
        market_service_uuid:
          type: string
          format: uuid
        cidr:
          type: integer
        reason:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````